import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {TerminologyComponent} from "./terminology.component";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {PageContentModule} from "../openaireLibrary/dashboard/sharedComponents/page-content/page-content.module";

@NgModule({
  declarations: [TerminologyComponent],
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      component: TerminologyComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ]), PageContentModule],
  exports: [TerminologyComponent]
})
export class TerminologyModule {

}
